## python-ewmh 0.1.6

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pyewmh.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pyewmh.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pyewmh"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pyewmh"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-ewmh 0.1.5

=== debian/changelog ===
python-ewmh (0.1.5-1) unstable; urgency=low

  * Initial release (Closes: #749713).

 -- Reuben Thomas <rrt@sc3d.org>  Sat, 29 Oct 2016 18:42:15 +0200

=== debian/control ===
Source: python-ewmh
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Reuben Thomas <rrt@sc3d.org>, Andrew Shadura <andrewsh@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3),
               python-setuptools (>= 0.6.24),
               python3-all,
               python3-setuptools (>= 0.6.24),
               python-docutils,
               python-sphinx,
               python-xlib,
               python3-xlib
Standards-Version: 3.9.8
Homepage: https://github.com/parkouss/pyewmh/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-ewmh.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-ewmh.git
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-ewmh
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: python-ewmh-doc
Description: Python interface to EWMH-compliant window managers (Python 2)
 python-ewmh is a 100% pure Python implementation of the EWMH (Extended
 Window Manager Hints) protocol, which can be used to query and control
 EWMH-compliant window managers.
 .
 This package installs the library for Python 2.

Package: python3-ewmh
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-ewmh-doc
Description: Python interface to EWMH-compliant window managers (Python 3)
 python-ewmh is a 100% pure Python implementation of the EWMH (Extended
 Window Manager Hints) protocol, which can be used to query and control
 EWMH-compliant window managers.
 .
 This package installs the library for Python 3.

Package: python-ewmh-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Python interface to EWMH-compliant window managers (common documentation)
 python-ewmh is a 100% pure Python implementation of the EWMH (Extended
 Window Manager Hints) protocol, which can be used to query and control
 EWMH-compliant window managers.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=ewmh

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -N -bhtml doc/ build/html # HTML generator

## python-ewmh 0.1.6

=== debian/changelog ===
python-ewmh (0.1.6-4) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-setuptools.
  * Bump debhelper from old 12 to 13.

  [ Moritz Schlarb ]
  * Add patch to fix intersphinx mapping format for sphinx >= 8.0
    Closes: #1090141

  [ Colin Watson ]
  * Use pybuild-plugin-pyproject.
  * Use dh-sequence-python3 and dh-sequence-sphinxdoc.

 -- Colin Watson <cjwatson@debian.org>  Fri, 03 Jan 2025 14:43:48 +0000

python-ewmh (0.1.6-3) unstable; urgency=medium

  [ Louis-Philippe Véronneau ]
  * Update the VCS paths. Closes: #946085

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Sat, 18 Jun 2022 01:17:54 -0400

python-ewmh (0.1.6-2) unstable; urgency=medium

  * Team upload.
  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Remove unnecessary X-Python{,3}-Version field in debian/control.

  [ Ondřej Nový ]
  * Use Python 3 for building docs.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Wed, 31 Jul 2019 10:19:32 +0200

python-ewmh (0.1.6-1) unstable; urgency=medium

  * New upstream release.
  * Update Uploaders and Vcs-*.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 21 Jul 2018 13:56:42 +0200

=== debian/control ===
Source: python-ewmh
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Reuben Thomas <rrt@sc3d.org>, Andrej Shadura <andrewsh@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               pybuild-plugin-pyproject,
               python3-all,
               python3-setuptools,
               python3-sphinx,
               python3-xlib
Standards-Version: 3.9.8
Homepage: https://github.com/parkouss/pyewmh/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-ewmh.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ewmh

Package: python3-ewmh
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-ewmh-doc
Description: Python interface to EWMH-compliant window managers (Python 3)
 python-ewmh is a 100% pure Python implementation of the EWMH (Extended
 Window Manager Hints) protocol, which can be used to query and control
 EWMH-compliant window managers.
 .
 This package installs the library for Python 3.

Package: python-ewmh-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Python interface to EWMH-compliant window managers (common documentation)
 python-ewmh is a 100% pure Python implementation of the EWMH (Extended
 Window Manager Hints) protocol, which can be used to query and control
 EWMH-compliant window managers.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=ewmh

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml doc/ build/html # HTML generator

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,\
     filenamemangle=s/.*ewmh-/python-ewmh-/g \
https://pypi.debian.net/ewmh/ewmh@ANY_VERSION@@ARCHIVE_EXT@
